[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Quilt-dev] [PATCH] Don't check for double sourcing of patchfns
From: |
Jean Delvare |
Subject: |
[Quilt-dev] [PATCH] Don't check for double sourcing of patchfns |
Date: |
Mon, 6 Jul 2020 11:02:50 +0200 |
In practice there is no situation where patchfns would be sourced
more than once, so remove the check for this situation, that was
present in every quilt command file.
Signed-off-by: Jean Delvare <jdelvare@suse.de>
---
quilt/add.in | 11 ++++-------
quilt/annotate.in | 11 ++++-------
quilt/applied.in | 11 ++++-------
quilt/delete.in | 11 ++++-------
quilt/diff.in | 11 ++++-------
quilt/edit.in | 11 ++++-------
quilt/files.in | 11 ++++-------
quilt/fold.in | 11 ++++-------
quilt/fork.in | 11 ++++-------
quilt/graph.in | 11 ++++-------
quilt/grep.in | 11 ++++-------
quilt/header.in | 11 ++++-------
quilt/import.in | 11 ++++-------
quilt/mail.in | 11 ++++-------
quilt/new.in | 11 ++++-------
quilt/next.in | 11 ++++-------
quilt/patches.in | 11 ++++-------
quilt/pop.in | 11 ++++-------
quilt/previous.in | 11 ++++-------
quilt/push.in | 11 ++++-------
quilt/refresh.in | 11 ++++-------
quilt/remove.in | 11 ++++-------
quilt/rename.in | 11 ++++-------
quilt/revert.in | 11 ++++-------
quilt/series.in | 11 ++++-------
quilt/setup.in | 32 +++++++++++++++-----------------
quilt/snapshot.in | 11 ++++-------
quilt/top.in | 11 ++++-------
quilt/unapplied.in | 11 ++++-------
quilt/upgrade.in | 11 ++++-------
30 files changed, 131 insertions(+), 220 deletions(-)
--- quilt.orig/quilt/add.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/add.in 2020-07-02 15:59:05.870647162 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/annotate.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/annotate.in 2020-07-02 15:59:25.074900476 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/applied.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/applied.in 2020-07-02 15:59:31.183981060 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/delete.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/delete.in 2020-07-02 15:59:38.329075307 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/diff.in 2020-03-23 14:41:12.553920114 +0100
+++ quilt/quilt/diff.in 2020-07-02 15:59:47.779199955 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
setup_colors
--- quilt.orig/quilt/edit.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/edit.in 2020-07-02 16:00:01.359379081 +0200
@@ -9,15 +9,12 @@
: ${EDITOR:=vi}
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/files.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/files.in 2020-07-02 16:00:07.664462248 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/fold.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/fold.in 2020-07-02 16:00:17.512592151 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/fork.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/fork.in 2020-07-02 16:00:27.341721803 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/graph.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/graph.in 2020-07-02 16:00:33.786806815 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/grep.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/grep.in 2020-07-02 16:00:40.010888914 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/header.in 2019-03-11 16:00:06.183558596 +0100
+++ quilt/quilt/header.in 2020-07-02 16:00:48.647002834 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
: ${EDITOR:=vi}
--- quilt.orig/quilt/import.in 2020-06-09 11:26:58.655340940 +0200
+++ quilt/quilt/import.in 2020-07-02 16:00:58.987139226 +0200
@@ -10,15 +10,12 @@
skip_series_check=1
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/mail.in 2018-10-03 15:17:32.317759520 +0200
+++ quilt/quilt/mail.in 2020-07-02 16:01:07.967257678 +0200
@@ -9,15 +9,12 @@
: ${EDITOR:=vi}
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/new.in 2020-06-09 11:26:58.655340940 +0200
+++ quilt/quilt/new.in 2020-07-02 16:01:17.149378795 +0200
@@ -10,15 +10,12 @@
skip_series_check=1
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/next.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/next.in 2020-07-02 16:01:24.686478213 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/patches.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/patches.in 2020-07-02 16:01:31.868572948 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
declare -a opt_files=()
--- quilt.orig/quilt/pop.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/pop.in 2020-07-02 16:01:41.561700807 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/previous.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/previous.in 2020-07-02 16:01:53.251855006 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/push.in 2018-10-09 10:04:55.973293671 +0200
+++ quilt/quilt/push.in 2020-07-02 16:02:02.595978260 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
setup_colors
--- quilt.orig/quilt/refresh.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/refresh.in 2020-07-02 16:02:12.844113441 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/remove.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/remove.in 2020-07-02 16:02:20.531214833 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/rename.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/rename.in 2020-07-02 16:02:28.338317812 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/revert.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/revert.in 2020-07-02 16:02:34.711401874 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/series.in 2020-05-14 15:25:50.121177600 +0200
+++ quilt/quilt/series.in 2020-07-02 16:02:41.223487771 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/setup.in 2020-06-09 11:26:58.655340940 +0200
+++ quilt/quilt/setup.in 2020-07-02 16:03:19.372990980 +0200
@@ -11,24 +11,22 @@ skip_version_check=1
skip_series_check=1
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
- if [ -n "$SUBDIR" ]
- then
- # Damn, found an enclosing quilt directory; don't follow its
settings
- cd $SUBDIR
- unset SUBDIR
- unset QUILT_PC QUILT_PATCHES QUILT_SERIES
- : ${QUILT_PC:=.pc}
- : ${QUILT_PATCHES:=patches}
- : ${QUILT_SERIES:=series}
- fi
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
+fi
+. $QUILT_DIR/scripts/patchfns
+
+if [ -n "$SUBDIR" ]
+then
+ # Damn, found an enclosing quilt directory; don't follow its settings
+ cd $SUBDIR
+ unset SUBDIR
+ unset QUILT_PC QUILT_PATCHES QUILT_SERIES
+ : ${QUILT_PC:=.pc}
+ : ${QUILT_PATCHES:=patches}
+ : ${QUILT_SERIES:=series}
fi
check_for_existing_directories()
--- quilt.orig/quilt/snapshot.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/snapshot.in 2020-07-02 16:03:27.987104604 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/top.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/top.in 2020-07-02 16:03:37.462229581 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/unapplied.in 2017-07-18 09:22:28.860617331 +0200
+++ quilt/quilt/unapplied.in 2020-07-02 16:03:44.757325805 +0200
@@ -7,15 +7,12 @@
# See the COPYING and AUTHORS files for more details.
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--- quilt.orig/quilt/upgrade.in 2020-06-09 11:26:58.655340940 +0200
+++ quilt/quilt/upgrade.in 2020-07-02 16:04:44.377104321 +0200
@@ -11,15 +11,12 @@ skip_version_check=1
skip_series_check=1
# Read in library functions
-if [ "$(type -t patch_file_name)" != function ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- if ! [ -r $QUILT_DIR/scripts/patchfns ]
- then
- echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
- exit 1
- fi
- . $QUILT_DIR/scripts/patchfns
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
+ exit 1
fi
+. $QUILT_DIR/scripts/patchfns
usage()
{
--
Jean Delvare
SUSE L3 Support
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Quilt-dev] [PATCH] Don't check for double sourcing of patchfns,
Jean Delvare <=